/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/home/interworx/etc/httpd"
#define DEFAULT_EXP_EXEC_PREFIX "/home/interworx"
#define DEFAULT_REL_EXEC_PREFIX "/home/interworx"
#define DEFAULT_EXP_BINDIR "/home/interworx/bin/httpd"
#define DEFAULT_REL_BINDIR "/home/interworx/bin/httpd"
#define DEFAULT_EXP_SBINDIR "/home/interworx/bin/httpd"
#define DEFAULT_REL_SBINDIR "/home/interworx/bin/httpd"
#define DEFAULT_EXP_LIBEXECDIR "/home/interworx/lib/httpd/modules"
#define DEFAULT_REL_LIBEXECDIR "/home/interworx/lib/httpd/modules"
#define DEFAULT_EXP_MANDIR "/TODELETE"
#define DEFAULT_REL_MANDIR "/TODELETE"
#define DEFAULT_EXP_SYSCONFDIR "/home/interworx/etc/httpd/conf"
#define DEFAULT_REL_SYSCONFDIR "conf"
#define DEFAULT_EXP_DATADIR "/home/interworx/etc/httpd"
#define DEFAULT_REL_DATADIR ""
#define DEFAULT_EXP_INSTALLBUILDDIR "/home/interworx/etc/httpd/build"
#define DEFAULT_REL_INSTALLBUILDDIR "build"
#define DEFAULT_EXP_ERRORDIR "/home/interworx/etc/httpd/error"
#define DEFAULT_REL_ERRORDIR "error"
#define DEFAULT_EXP_ICONSDIR "/home/interworx/etc/httpd/icons"
#define DEFAULT_REL_ICONSDIR "icons"
#define DEFAULT_EXP_HTDOCSDIR "/home/interworx/etc/httpd/htdocs"
#define DEFAULT_REL_HTDOCSDIR "htdocs"
#define DEFAULT_EXP_MANUALDIR "/home/interworx/etc/httpd/manual"
#define DEFAULT_REL_MANUALDIR "manual"
#define DEFAULT_EXP_CGIDIR "/home/interworx/etc/httpd/cgi-bin"
#define DEFAULT_REL_CGIDIR "cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/home/interworx/include/httpd"
#define DEFAULT_REL_INCLUDEDIR "/home/interworx/include/httpd"
#define DEFAULT_EXP_LOCALSTATEDIR "/home/interworx/etc/httpd"
#define DEFAULT_REL_LOCALSTATEDIR ""
#define DEFAULT_EXP_RUNTIMEDIR "/home/interworx/etc/httpd/logs"
#define DEFAULT_REL_RUNTIMEDIR "logs"
#define DEFAULT_EXP_LOGFILEDIR "/home/interworx/etc/httpd/logs"
#define DEFAULT_REL_LOGFILEDIR "logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/home/interworx/etc/httpd/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "proxy"

#endif /* AP_CONFIG_LAYOUT_H */
